% plot focal mech from moment tensor
% uses function focalmech from 
% https://www.mathworks.com/matlabcentral/fileexchange/61227-focalmech-fm--centerx--centery--diam--varargin-

%	>> focalmech(fm, centerX, centerY, diam, varargin)
%   Draws full moment tensor beachball diagram of earthquake focal mechanism.
%   Required inputs
%	fm: 3x3 or 1x6 vector of the six independent components of the 
%           moment tensor (mrr, mtt, mff, mrt, mrf, mtf).
%	centerX, centerY: position to place beachball at position
%	diam: diameter of drawn beachball.

% mt = [0.91, -0.89, -0.02, 1.78, -1.55, 0.47];

% ip = fopen('moments1.txt', 'rt');
% ip = fopen('E:\Projects\Matlab\CMT_reform_tensor.txt', 'rt');
% ip = fopen('E:\Projects\Matlab\CMT_reform_tensor_jan76_dec13.txt', 'rt');
ip = fopen('E:\Projects\Matlab\CMT_reform_tensor_alldata.txt', 'rt');
if (ip < 0)
    error('could not open file');   % just abort if error
end

cnt=0;
allcnt = 0;
s1 = fgetl(ip);
while (ischar(s1))
    disp(s1);
    B = textscan(s1, '%f %f %f %f %f %f %f %f %f %f');
    mt = [B{5}, B{6}, B{7}, B{8}, B{9}, B{10}];
    allcnt = allcnt+1;
    Rlat = B{1};
    Rlon = B{2};
    Rdep = B{3};
    Rmb = B{4};
    if Rmb == 0
        Rmb = 2;
    end
    if Rlat > 7.1 && Rlat < 13.1
        if Rlon > -75.6 && Rlon < -64.8
            cnt = cnt+1;
    if Rdep > 50
       % focalmech(mt, Rlon, Rlat, Rmb/8, 'b');
    else
        focalmech(mt, Rlon, Rlat, Rmb/8, 'r');
    end
        end
    end
   
    s1 = fgetl(ip);
   % cnt = cnt+1;
    if cnt > 2000000
        break
    end
end
disp(cnt);
disp(allcnt);